using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameManager : MonoBehaviour
{
    private int _score;
    public int Score
    {
        get { return _score; }
        set { _score = value; }
    }

    private void Start()
    {
        Note.OnNoteHit += UpdateScore;
    }

    public void StartStage()
    {

    }

    public void EndStage()
    {

    }

    private void UpdateScore(NoteHitType type, int score)
    {
        Score += score;
    }
}
